curl --request GET \
--url https://api.qovery.com/v1/cluster/{clusterId}/platformConfiguration \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/v1/cluster/{clusterId}/platformConfiguration"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/v1/cluster/{clusterId}/platformConfiguration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": {
"templateKey": "<string>",
"templateVersion": "<string>",
"layerSelections": {},
"managedConfig": {}
},
"clusterInputs": {},
"layers": [
{
"key": "<string>",
"status": "ENABLED",
"reason": "<string>",
"componentKeys": [
"<string>"
]
}
]
}Get the cluster platform configuration
Returns the platform selection of the cluster (template release, layer selections and component configuration), its cluster inputs and the resolution of each layer. Sensitive managedConfig values are returned as "<redacted>". Cluster inputs are identifiers, never secrets, and are returned as stored.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Cluster ID
Response
Cluster platform configuration
Platform template release selected for a cluster, with its layer selections and component configuration. Sensitive managedConfig values are redacted in responses.
Show child attributes
Show child attributes
String values keyed first by component key and then by input key
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?